# Class PumpActiveSources

Namespace
  adas_core.Domain.Models.Observations

Assembly
  adas-core.Domain.dll

Represents the active sources of a pump element as a drug string value. Inherits from DrugStringValue, encapsulating source information for pump operations.

    public class PumpActiveSources : DrugStringValue

Inheritance
  object
  DrugValue
  DrugStringValue
  PumpActiveSources

Inherited Members
  DrugStringValue.Value
  DrugValue.Id
  DrugValue.Text
  DrugValue.Units
  DrugValue.Time
  DrugValue.CodingSystem
  DrugValue.Result
  DrugValue.Copy(DrugValue)
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Constructors

### PumpActiveSources(PumpElement)

Represents the active sources of a pump element as a drug string value. Inherits from DrugStringValue, encapsulating source information for pump operations.

    public PumpActiveSources(PumpElement pumpElement)

#### Parameters

`pumpElement` PumpElement

## Properties

### ValueCodingSystem

    public string? ValueCodingSystem { get; set; }

#### Property Value

string

### ValueId

    public string? ValueId { get; set; }

#### Property Value

string